using System.Collections;
using System.Collections.Generic;
using System.Text.RegularExpressions;
using System.Text;
using Godot;

namespace Rokojori
{  
  [Tool]
  [GlobalClass]
  public partial class FloatDriverResourceTarget:FloatDriverTarget
  { 
    [Export]
    public Resource resource;

    [Export]
    public string targetMemberPath;
    
    public override GodotObject GetGodotObject( IFloatDriver driver )
    {
      return resource;
    }

    public override string GetTargetMemberPath( IFloatDriver driver )
    {
      return targetMemberPath;
    }

  }
}